Debian Bug report logs - #496930
RFP: dvc -- Emacs front-end to distributed version control systems

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Dehennin <daniel.dehennin@baby-gnu.org>

Date: Thu, 28 Aug 2008 15:45:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Dehennin <daniel.dehennin@baby-gnu.org>, debian-mentors@lists.debian.org, Julien Danjou <acid@debian.org>, <wnpp@debian.org>:
Bug#496930; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
New Bug report received and forwarded. Copy sent to Daniel Dehennin <daniel.dehennin@baby-gnu.org>, debian-mentors@lists.debian.org, Julien Danjou <acid@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Dehennin <daniel.dehennin@baby-gnu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: dvc -- Emacs front-end to distributed version control systems
Date: Thu, 28 Aug 2008 17:43:34 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: Daniel Dehennin <daniel.dehennin@baby-gnu.org>
Severity: wishlist
Tags: patch

* Package name    : dvc
  Version         : 0r20080828
  Upstream Author : Stephan Reichoer <stefan@xsteve.at>
* URL or Web page : http://download.gna.org/dvc
* License         : GPL
  Description     : Emacs front-end to distributed version control systems

 DVC is an attempt to build a common infrastructure for various
 distributed revision control systems. Actually supported are tla,
 bazaar, bzr, git, mercurial, darcs and monotone.
 .
 DVC main features are:
   * dvc-status: Intuitive interface for status viewing.
   * dvc-log: Log viewer.
   * dvc-diff: View uncommitted changes in your working directory.
   * dvc-bookmarks: Bookmark manager with partner support.
   * Integration with ediff, Emacs's graphical diff tool.
   * dvc-missing: Interface to view missing patches from all your
     partners with a single command.
   * Send/receive/apply patches via the Gnus email client.
   * Run many version control commands from Emacs (such as init and
     pull).

-- 
Daniel Dehennin
Récupérer ma clef GPG:
gpg --keyserver pgp.mit.edu --recv-keys 0x6A2540D1
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 01 Sep 2008 20:06:02 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 10 Jan 2009 04:12:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Bug#496930; Package wnpp. (Fri, 23 Jan 2009 00:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Moerner <dmoerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Dehennin <daniel.dehennin@baby-gnu.org>. (Fri, 23 Jan 2009 00:21:07 GMT) Full text and rfc822 format available.

Message #14 received at 496930@bugs.debian.org (full text, mbox):

From: Daniel Moerner <dmoerner@gmail.com>
To: 496930@bugs.debian.org
Subject: Status?
Date: Thu, 22 Jan 2009 16:13:21 -0800
Any progress on this ITP? I am currently using dvc debian packages
built from the bzr source that is linked to at
http://download.gna.org/dvc/. It would be nice to get this into Debian
proper.

I see that it was tagged as pending, but the tag was removed.

Thanks,
Daniel

-- 
Daniel Moerner <dmoerner@gmail.com>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#496930; Package wnpp. (Fri, 23 Jan 2009 18:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 23 Jan 2009 18:42:07 GMT) Full text and rfc822 format available.

Message #19 received at 496930@bugs.debian.org (full text, mbox):

From: Daniel Dehennin <daniel.dehennin@baby-gnu.org>
To: Daniel Moerner <dmoerner@gmail.com>
Cc: 496930@bugs.debian.org
Subject: Re: Bug#496930: Status?
Date: Fri, 23 Jan 2009 19:41:00 +0100
Le 5623 Septembre 1993, Daniel Moerner a envoyé:
> Any progress on this ITP? I am currently using dvc debian packages
> built from the bzr source that is linked to at
> http://download.gna.org/dvc/. It would be nice to get this into Debian
> proper.
>
> I see that it was tagged as pending, but the tag was removed.

Hello,

This bug is actually "forwared" upstream as the package was rejected
for wrong copyright notices:

> REJECTed, as you've missed FSF as a copyright holder for quite a few
> files. I went throught the whole package and didn't see anything
> else wrong,

Regards.
-- 
Daniel Dehennin
Récupérer ma clef GPG:
gpg --keyserver pgp.mit.edu --recv-keys 0x6A2540D1




Removed tag(s) patch. Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Mon, 02 Nov 2009 03:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Bug#496930; Package wnpp. (Wed, 04 Aug 2010 10:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Dehennin <daniel.dehennin@baby-gnu.org>. (Wed, 04 Aug 2010 10:27:02 GMT) Full text and rfc822 format available.

Message #26 received at 496930@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@gmail.com>
To: 496930@bugs.debian.org
Subject: Status
Date: Wed, 04 Aug 2010 13:25:35 +0300
Hi,

Any news on this ITP?

Antony




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#496930; Package wnpp. (Mon, 09 Aug 2010 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Aug 2010 00:57:03 GMT) Full text and rfc822 format available.

Message #31 received at 496930@bugs.debian.org (full text, mbox):

From: Daniel Dehennin <daniel.dehennin@baby-gnu.org>
To: Antony Gelberg <antony.gelberg@gmail.com>
Cc: 496930@bugs.debian.org, Julien Danjou <acid@debian.org>
Subject: Re: Bug#496930: Status
Date: Mon, 09 Aug 2010 02:21:24 +0200
[Message part 1 (text/plain, inline)]
Antony Gelberg <antony.gelberg@gmail.com> writes:

> Hi,

Hello,

> Any news on this ITP?

No, the upstream does not fix the issue and the software is in
hard-sleep mode, main developers seems busy but apply some patch sent to
them.

The DVC team wish to integrate emacs, that day the copyright issue will
be resolved and I will be able to make a dvc-snapshot package.

For now, it can be closed, should I close it or tag it as wontfix?

Thanks to Julien who accepted to be my mentor, and sorry for not being
able to integrate this package.

Regards.
-- 
Daniel Dehennin
Récupérer ma clef GPG:
gpg --keyserver pgp.mit.edu --recv-keys 0x6A2540D1
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Bug#496930; Package wnpp. (Mon, 09 Aug 2010 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Dehennin <daniel.dehennin@baby-gnu.org>. (Mon, 09 Aug 2010 08:06:03 GMT) Full text and rfc822 format available.

Message #36 received at 496930@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Daniel Dehennin <daniel.dehennin@baby-gnu.org>
Cc: Antony Gelberg <antony.gelberg@gmail.com>, 496930@bugs.debian.org, Julien Danjou <acid@debian.org>
Subject: Re: Bug#496930: Status
Date: Mon, 09 Aug 2010 09:52:34 +0200
On Mon, Aug 09 2010, Daniel Dehennin wrote:

> For now, it can be closed, should I close it or tag it as wontfix?

If the software is never to be packaged, close it.

-- 
Julien Danjou
// ᐰ <julien@danjou.info>   http://julien.danjou.info




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Bug#496930; Package wnpp. (Sat, 19 Feb 2011 18:12:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Dehennin <daniel.dehennin@baby-gnu.org>. (Sat, 19 Feb 2011 18:12:42 GMT) Full text and rfc822 format available.

Message #41 received at 496930@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 496930@bugs.debian.org
Cc: control@bugs.debian.org
Subject: dvc: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:37 +0000
retitle 496930 RFP: dvc -- Emacs front-end to distributed version control systems
noowner 496930
thanks

Hi,

This is an automatic email to change the status of dvc back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting dvc, please send a mail to
<control@bugs.debian.org> with:

 retitle 496930 ITP: dvc -- Emacs front-end to distributed version control systems
 owner 496930 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <496930@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: dvc -- Emacs front-end to distributed version control systems' from 'ITP: dvc -- Emacs front-end to distributed version control systems' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:26:55 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Daniel Dehennin <daniel.dehennin@baby-gnu.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:26:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:14:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.